Bug 240974 - net/kamailio: added Lua and Python support
Summary: net/kamailio: added Lua and Python support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2019-10-01 17:04 UTC by Dmitry Wagin
Modified: 2019-10-03 09:26 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback+


Attachments
kamailio.diff (11.70 KB, patch)
2019-10-01 17:04 UTC, Dmitry Wagin
no flags Details | Diff
kamailio.diff (12.82 KB, patch)
2019-10-02 08:47 UTC, Dmitry Wagin
no flags Details | Diff
kamailio.diff (13.10 KB, patch)
2019-10-02 09:43 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2019-10-01 17:04:09 UTC
Created attachment 207990 [details]
kamailio.diff

Added Lua and Python support

https://kamailio.org/docs/tutorials/devel/kamailio-kemi-framework/kemi/#lua-kemi-interpreter
Comment 1 Kurt Jaeger freebsd_committer 2019-10-01 19:53:05 UTC
testbuilding@work

One question about the 'make config' menue:

You put LUA and PYTHON under the heading 'Kamailio Embedded Interface'.

Isn't PERL the same type of 'Kamailio Embedded Interface' ?

Should it move downwards ?
Comment 2 Dmitry Wagin 2019-10-02 07:34:24 UTC
(In reply to Kurt Jaeger from comment #1)

The app_perl module don't support Kamailio Embedded Interface (KEMI).
Comment 3 Dmitry Wagin 2019-10-02 08:47:24 UTC
Created attachment 208011 [details]
kamailio.diff

fixed @sample
Comment 4 Dmitry Wagin 2019-10-02 09:43:03 UTC
Created attachment 208014 [details]
kamailio.diff

implement configtest in rc.script
Comment 5 commit-hook freebsd_committer 2019-10-03 09:26:14 UTC
A commit references this bug:

Author: pi
Date: Thu Oct  3 09:26:11 UTC 2019
New revision: 513656
URL: https://svnweb.freebsd.org/changeset/ports/513656

Log:
  net/kamailio: added Lua and Python support

  - Added Lua and Python support
    https://kamailio.org/docs/tutorials/devel/kamailio-kemi-framework/kemi/#lua-kemi-interpreter
  - implement configtest in rc.script

  PR:		240974
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

Changes:
  head/net/kamailio/Makefile
  head/net/kamailio/files/kamailio.in
  head/net/kamailio/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2019-10-03 09:26:25 UTC
Committed, thanks!